-- This script creates Long Running Execution Environment tables on an oracle db.
--
-- 1. Process this script using SQL*Plus
-- 2. Replace all occurrances of @LREE_TABLESPACE@ with a valid tablespace that was 
--    created by the CreateLREETablespaceOracle.ddl script.
-- Example: 
--  o  sqlplus username/password@LREE @CreateLREETablesOracle.ddl
--  o  or, at the sqlplus prompt, enter
--     SQL> @CreateLREETablesOracle.ddl


 
-- DDL Statements for table "BJEELOGMESSAGES"


 CREATE TABLE "BJEELOGMESSAGES"  (
		  "JOBID" VARCHAR(250) NOT NULL , 
		  "MSGSEQ" INTEGER NOT NULL , 
		  "MSGTXT" VARCHAR(250) )   
		 TABLESPACE @LREE_TABLESPACE@ ; 



-- DDL Statements for primary key on Table "BJEELOGMESSAGES"



ALTER TABLE "BJEELOGMESSAGES" 
	ADD CONSTRAINT "PK_BJEELOGMESSAGES" PRIMARY KEY
		("JOBID",
		 "MSGSEQ");







------------------------------------------------

-- DDL Statements for table "LOCALJOBSTATUS"

------------------------------------------------

 

 CREATE TABLE "LOCALJOBSTATUS"  (
		  "BJEENAME" VARCHAR(250) NOT NULL , 
		  "JOBID" VARCHAR(250) NOT NULL , 
		  "STATUS" INTEGER NOT NULL , 
		  "STATUSTXT" VARCHAR(250) , 
		  "CURRENTSTEP" VARCHAR(250) , 
		  "RC" INTEGER NOT NULL , 
		  "UPDATECOUNT" INTEGER NOT NULL , 
		  "SUSPENDEDUNTIL" VARCHAR(250) ,
		  "LASTUPDATE" VARCHAR(250) )   
		 TABLESPACE @LREE_TABLESPACE@ ; 



-- DDL Statements for primary key on Table "LOCALJOBSTATUS"



ALTER TABLE "LOCALJOBSTATUS" 
	ADD CONSTRAINT "PK_LOCALJOBSTATUS" PRIMARY KEY
		("BJEENAME",
		 "JOBID");







------------------------------------------------

-- DDL Statements for table "ABSTRACTRESOURCE"

------------------------------------------------

 

 CREATE TABLE "ABSTRACTRESOURCE"  (
		  "JOBID" VARCHAR(250) NOT NULL , 
		  "NAME" VARCHAR(250) NOT NULL , 
		  "TYPE1" VARCHAR(250) , 
		  "STRINGVALUE" VARCHAR(250) , 
		  "INTEGERVALUE" INTEGER )   
		 TABLESPACE @LREE_TABLESPACE@ ; 



-- DDL Statements for primary key on Table "ABSTRACTRESOURCE"



ALTER TABLE "ABSTRACTRESOURCE" 
	ADD CONSTRAINT "PK_ABSTRACTRESOUR1" PRIMARY KEY
		("JOBID",
		 "NAME");







------------------------------------------------

-- DDL Statements for table "CHECKPOINTREPOSITORY"

------------------------------------------------

 

 CREATE TABLE "CHECKPOINTREPOSITORY"  (
		  "JOBID" VARCHAR(250) NOT NULL , 
		  "STEPNAME" VARCHAR(250) NOT NULL , 
		  "BATCHDATASTREAMNAME" VARCHAR(250) NOT NULL , 
		  "RESTARTTOKEN" VARCHAR(2970) )   
		 TABLESPACE @LREE_TABLESPACE@ ; 



-- DDL Statements for primary key on Table "CHECKPOINTREPOSITORY"



ALTER TABLE "CHECKPOINTREPOSITORY" 
	ADD CONSTRAINT "PK_CHECKPOINTREPO2" PRIMARY KEY
		("JOBID", "STEPNAME",
		 "BATCHDATASTREAMNAME");







------------------------------------------------

-- DDL Statements for table "JOBSTEPSTATUS"

------------------------------------------------

 

 CREATE TABLE "JOBSTEPSTATUS"  (
		  "JOBID" VARCHAR(250) NOT NULL , 
		  "STEPNAME" VARCHAR(250) NOT NULL , 
		  "RC" INTEGER NOT NULL , 
		  "STEPSTATUS" INTEGER NOT NULL )   
		 TABLESPACE @LREE_TABLESPACE@ ; 



-- DDL Statements for primary key on Table "JOBSTEPSTATUS"



ALTER TABLE "JOBSTEPSTATUS" 
	ADD CONSTRAINT "PK_JOBSTEPSTATUS" PRIMARY KEY
		("JOBID",
		 "STEPNAME");






------------------------------------------------

-- DDL Statements for table "JOBRESULTS"

------------------------------------------------

 

 CREATE TABLE "JOBRESULTS"  (
		  "JOBID" VARCHAR(250) NOT NULL , 
		  "RC" INTEGER NOT NULL , 
		  "INITIALIZED" SMALLINT NOT NULL )   
		 TABLESPACE @LREE_TABLESPACE@ ; 



-- DDL Statements for primary key on Table "JOBRESULTS"



ALTER TABLE "JOBRESULTS" 
	ADD CONSTRAINT "PK_JOBRESULTS" PRIMARY KEY
		("JOBID");

------------------------------------------------

-- DDL Statements for table "POJOSTEP"

------------------------------------------------

 

 CREATE TABLE "POJOSTEP"  (
		  "JOBID" VARCHAR(250) NOT NULL , 
		  "STEPID" VARCHAR(250) NOT NULL)   
		 TABLESPACE @LREE_TABLESPACE@ ; 



-- DDL Statements for primary key on Table "POJOSTEP"



ALTER TABLE "POJOSTEP" 
	ADD CONSTRAINT "PK_POJOSTEP" PRIMARY KEY
		("JOBID",
		 "STEPID");
